QGIS Application - Bug report #3909

QgsVectorLayer::vectorType - incomplete return path

2006-03-24 01:06 PM - Mateusz Loskot -

Status: Closed
Priority: Low
Assignee: Gary Sherman
Category: Vectors

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13933

Description

File ggis/src/gui/qgsvectorlayer.cpp, line 1250

In the member function !QgsVectorLayer::vectorType, not all control paths return a value.
Returned value of type of QGis::VectorType can be uninitialized -> undefined behaviour.

History

#1 - 2006-04-14 04:35 AM - Gavin Macaulay -

- Resolution set to fixed
- Status changed from Open to Closed

Fixed in SVN commit:f8228bc9 (SVN r5280)

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
